Page MenuHomePhabricator

Search input cut off in noJS mode
Closed, ResolvedPublic

Description

When JavaScript is disabled and you view any mobile page, it reads "Searc" currently and is probably even worse in languages where that word is longer.

Looking at the code its intentionally restricted for smaller sizes.
That said, we should add a media query that applies at 320px and makes a better attempt to show the placeholder text.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterSearch input cutoff in nojs mode

Event Timeline

Gilles created this task.May 12 2015, 6:10 AM
Gilles raised the priority of this task from to Needs Triage.
Gilles updated the task description. (Show Details)
Gilles added a project: MobileFrontend.
Gilles added a subscriber: Gilles.
Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptMay 12 2015, 6:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I think this was optimised for Opera Mini where there is no placeholder support. I think previously there was a border around it too. Another solution would be to hide the placeholder text and add a border.

In alpha it's already fixed, which can be used to fix the issue in other modes. It can be viewed on Special:MobileMenu page though.

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Aug 4 2015, 6:38 PM
Jhernandez triaged this task as Lowest priority.Aug 24 2015, 5:14 PM
Florian added subscribers: Adishaporwal, Florian.

@Adishaporwal want's to take a look at this :)

Change 234852 had a related patch set uploaded (by Adishaporwal):
Search input cutoff in nojs mode

https://gerrit.wikimedia.org/r/234852

From the commit message, the patch seems to address T109944 too.

From the commit message, the patch seems to address T109944 too.

Yup.

No :P at least not in the current state. BaseTemplate::makeSearchInput() add's a default placeholder ("Search"), which we "only" overwrite (currently and in JS with the change above). So, Opera Mini would show a "Search" instead in the search input field. We need to set the placeholder to an empty string to achieve what we want to achieve.

Furthermore, T109944: Remove search placeholder for Opera Mini is for Vector/MediaWiki core in desktop mode, this task fixes MobileFrontend (mobile mode/view) only.

phuedx added a subscriber: phuedx.Sep 8 2015, 10:49 AM

234852 has been +2'd by @Florian but 235912 (a dependency) needs review.

I left some comments to an earlier patch in https://gerrit.wikimedia.org/r/235912.

Change 234852 merged by jenkins-bot:
Search input cutoff in nojs mode

https://gerrit.wikimedia.org/r/234852

I want to participate in upcoming round of outreachy internship , i.e., Dec 2015 - March 2016 and want to contribute for wikimedia.

I am really interested in MobileFrontEnd extension interesting. So do this extension has a project that I can choose for outreachy internship?

Adisha, please ask general questions in general venues. https://lists.wikimedia.org/mailman/listinfo/mobile-l is an option, this report is not.

@Nemo_bis thanks and I will remember from next time.

Jdlrobson closed this task as Resolved.Sep 12 2015, 12:00 AM

We can definitely improve the non-js search experience but this is definitely an improvement.